Aden

Teams

Team management (session only)

GET
/api/v1/teams/

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

curl -X GET "https://example.com/api/v1/teams/"
GET
/api/v1/teams/socials

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Query Parameters

teamId*string
curl -X GET "https://example.com/api/v1/teams/socials?teamId=string"
GET
/api/v1/teams/{id}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string"
GET
/api/v1/teams/{id}/members

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/members"
GET
/api/v1/teams/{id}/invites

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/invites"
GET
/api/v1/teams/{id}/plan

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/plan"
GET
/api/v1/teams/{id}/media

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
curl -X GET "https://example.com/api/v1/teams/string/media"
POST
/api/v1/teams/{id}/media

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

curl -X POST "https://example.com/api/v1/teams/string/media" \  -H "Content-Type: application/json" \  -d '{    "fileName": "string",    "fileSize": 0,    "mediaType": "string"  }'
DELETE
/api/v1/teams/{id}/media/{mediaId}

Authorization

sessionAuth
AuthorizationBearer <token>

Supabase access token — used by the web and mobile apps

In: header

Path Parameters

id*string
mediaId*string
curl -X DELETE "https://example.com/api/v1/teams/string/media/string"
Was this helpful?